package com.xjrsoft.common.enums;

/**
 * @description： 教材类型textbook_type
 * @author： phoenix
 * @create： 2023/12/21 11:27
 * @Version 1.0
 */
public enum TextbookTypeEnum {
    /**
     * 教材
     * */
    TTextbook("t_textbook", "教材"),

    /**
     * 辅材
     * */
    TMaterials("t_materials", "辅材"),

    /**
     * 作业本
     * */
    TExerciseBook("t_exercise_book", "作业本");

    final String code;
    final String value;

    public String getCode() {
        return this.code;
    }

    public String getValue() {
        return this.value;
    }

    TextbookTypeEnum(final String code, final String message) {
        this.code = code;
        this.value = message;
    }

    public static String getCode(String value){
        for (TextbookTypeEnum item : values()) {
            if (item.getValue().equals(value)) {
                return  item.getCode();
            }
        }
        return null;
    }
}
